Subject: bug#43102: closed (Re: bug#48412: duplicate ?)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 19 May 2021 19:34:01 +0000

Your bug report

#43102: [PATCH] Fix trace-calls-to-procedure

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
43102: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=43102
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#48412: duplicate ?
From: lloda <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Wed, 19 May 2021 21:34:26 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Patch applied in f9f55b9ce74898d1b0a77dcc9b4aa260e5cd208d. Thanks!

> On 16 May 2021, at 09:09, Adriano Peluso <[email-masked]> wrote:
> 
> Il giorno ven, 14/05/2021 alle 11.13 +0200, Adriano Peluso ha scritto:
>> I just noticed someone sent a patch that seems relevant here
>> 
>> It's in #43102
>> 
>> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=43102
> 
> I applied this patch
> 
> It does solve the issue, it seems
> 
> Now I can tracepoint my procedure
> 
> 
> 
> 

Subject: [PATCH] Fix trace-calls-to-procedure
From: Robin Green <[email-masked]>
To: [email-masked]
Cc: Robin Green <[email-masked]>
Date: Sat, 29 Aug 2020 15:26:04 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

* module/system/vm/trace.scm: Remove argument
---
 module/system/vm/trace.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/module/system/vm/trace.scm b/module/system/vm/trace.scm
index e9f17dae8..54840d8fd 100644
--- a/module/system/vm/trace.scm
+++ b/module/system/vm/trace.scm
@@ -73,7 +73,7 @@ trace-calls-to-procedure
                                    (max-indent (- width 40)))
   (define (apply-handler frame depth)
     (print-application frame depth width prefix max-indent))
-  (define (return-handler frame depth values)
+  (define (return-handler frame depth)
     (print-return frame depth width prefix max-indent))
   (trap-calls-to-procedure proc apply-handler return-handler))
 
-- 
2.27.0